Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024484
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-08-05 14:492013-09-13 12:55
ReporteregoitzView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision2f07550a43b7
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024484: Serveral scrollables not closed on retail module

DescriptionServeral scrollables not closed on retail module
Steps To Reproduce-Check the following java classes:

 ./org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java

./org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/stock/OtherStoresDetailedStock.java

./org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/stock/StoreDetailedStock.java

./org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/OrderLoader.java

./org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/CashCloseProcessor.java

./org.openbravo.retail.config/src/org/openbravo/retail/config/process/IncludeAllProducts.java

./org.openbravo.retail.config/src/org/openbravo/retail/config/businesslogic/CloneProductListActionHandler.java
Proposed SolutionClose the scrollableresults
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023841 closedAugustoMauch Openbravo ERP ScrollableResults not being closed 

-  Notes
(0060842)
hgbot (developer)
2013-08-30 14:43

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 61f7cb4011e483fd183d814d381f77d0b05c212b
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 14:42:03 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/61f7cb4011e483fd183d814d381f77d0b05c212b [^]

related to issue 24484: Closing scrollables

---
M src/org/openbravo/retail/config/businesslogic/CloneProductListActionHandler.java
M src/org/openbravo/retail/config/process/IncludeAllProducts.java
---
(0060844)
hgbot (developer)
2013-08-30 14:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2f07550a43b7d6fe93f96d65cc01d1da75719f6b
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 14:41:32 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f07550a43b7d6fe93f96d65cc01d1da75719f6b [^]

fixed issue 24484: Closing scrollables

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/stock/OtherStoresDetailedStock.java
M src/org/openbravo/retail/posterminal/stock/StoreDetailedStock.java
---
(0061001)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 2f07550a43b7d6fe93f96d65cc01d1da75719f6b
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 14:41:32 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/2f07550a43b7d6fe93f96d65cc01d1da75719f6b [^]

fixed issue 24484: Closing scrollables

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/stock/OtherStoresDetailedStock.java
M src/org/openbravo/retail/posterminal/stock/StoreDetailedStock.java
---

- Issue History
Date Modified Username Field Change
2013-08-05 14:49 egoitz New Issue
2013-08-05 14:49 egoitz Assigned To => marvintm
2013-08-05 14:49 egoitz Triggers an Emergency Pack => No
2013-08-05 14:49 egoitz Relationship added related to 0023841
2013-08-05 16:44 jonalegriaesarte Target Version => RMP27
2013-08-05 16:45 jonalegriaesarte Target Version RMP27 => RMP26
2013-08-19 12:10 marvintm Target Version RMP26 => RMP27
2013-08-30 14:43 hgbot Checkin
2013-08-30 14:43 hgbot Note Added: 0060842
2013-08-30 14:43 hgbot Checkin
2013-08-30 14:43 hgbot Note Added: 0060844
2013-08-30 14:43 hgbot Status new => resolved
2013-08-30 14:43 hgbot Resolution open => fixed
2013-08-30 14:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f07550a43b7d6fe93f96d65cc01d1da75719f6b [^]
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0061001
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f07550a43b7d6fe93f96d65cc01d1da75719f6b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/2f07550a43b7d6fe93f96d65cc01d1da75719f6b [^]
2013-09-13 12:55 marvintm Review Assigned To => marvintm
2013-09-13 12:55 marvintm Status resolved => closed
2013-09-13 12:55 marvintm Fixed in Version => RMP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker